Subject: [secdir] Secdir review of draft-ietf-cose-x509-08

From: Charlie Kaufman <[email-masked]>
Date: Sat, 2 Jan 2021 06:18:29 +0000

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This is a re-review. I reviewed draft-ietf-cose-x509-07 in September. I found nothing objectionable and all of my suggestions were addressed. As I mentioned there, the only thing the security community might find vaguely controversial is the mandate (on page 5) for support of the SHA-256 hash algorithm "for interoperability" (along optionally with other hash algorithms). The document correctly notes that what is specified does not guarantee interoperability.

One new typo:

page 4: duplicating certificates -> duplicate certificates

--Charlie